"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SLSError = exports.stateIsChoiceConditional = exports.definitionIsHandler = exports.isType = exports.notEmpty = exports.isNotCompletedState = void 0;
const isNotCompletedState = (state) => {
    if ((0, exports.isType)('Parallel')(state))
        return true;
    if ((0, exports.isType)('Task')(state))
        return true;
    if ((0, exports.isType)('Map')(state))
        return true;
    if ((0, exports.isType)('Wait')(state))
        return true;
    if ((0, exports.isType)('Choice')(state))
        return true;
    return false;
};
exports.isNotCompletedState = isNotCompletedState;
const notEmpty = (value) => value !== null && value !== undefined;
exports.notEmpty = notEmpty;
const isType = (type) => (state) => state.Type === type;
exports.isType = isType;
const definitionIsHandler = (value) => Object.prototype.hasOwnProperty.call(value, 'handler');
exports.definitionIsHandler = definitionIsHandler;
const stateIsChoiceConditional = (value) => Object.prototype.hasOwnProperty.call(value, 'choice');
exports.stateIsChoiceConditional = stateIsChoiceConditional;
class SLSError extends Error {
    constructor(msg, statusCode) {
        super(msg);
        this.statusCode = statusCode;
    }
}
exports.SLSError = SLSError;
//# sourceMappingURL=types.js.map